openapi: 3.0.0
info:
  title: News Sentiment API
  description: "# API Request Authentication\n\nOur APIs require the following url parameters on every call:\n\n_**broker**_**id**\
    \ – your customer ID on our systems (provided to you)  \n_**user**_ – a unique ID of the end-user consuming the information.\
    \ For server-2-Server integrations this would typically be your company name  \n_**accounttype**_ – 0 = LIVE, 1 = DEMO\
    \  \n**expiry** _– Unix timestamp of when this token will expire__________**token**_ – a token generated by MD5(user|\\\
    [accounttype\\]|\\[expiry\\]\\[secretkey\\])\n\nin which _secretkey_ is the secret key provided to you, not to be shared\
    \ with the end-user\n\nNote the ‘|’ (Pipe) character before and after the AccountType parameter\n\n``` php\n$expiryDate\
    \ = time() + (3 * 24 * 60 * 60);\n$userid = “myuserid”;\n$accountType = “0”;\n$secretKey = “secretkey”;\n$token = md5(“${userid}|${accountType}|${expiryDate}${secretKey\
    \ }”);\necho $token;\n?>\n\n ```\n\n``` python\nimport hashlib\nimport time\nexpiry_date = int(time.time()) + (3 * 24\
    \ * 60 * 60)\nuserid = \"myuserid\"\naccount_type = \"0\"\nsecret_key = \"secretkey\"\ntoken = hashlib.md5(f\"{userid}|{account_type}|{expiry_date}{secret_key}\"\
    .encode(\"utf-8\")).hexdigest()\nprint(token)\n\n ```"
  version: 1.0.0
servers:
- url: https://api.autochartist.com
paths:
  /newssentiment/sentiment:
    get:
      tags:
      - News Sentiment
      summary: Get Sentiment
      description: 'This endpoint uses filtering to search for the latest sentiment data

        for tickers in the database.

        By default, this endpoint will return the general sentiment information

        for tickers in the database.

        To change the default behaviour

        and retrieve detailed sentiment information,

        set the "include_detail" parameter to ''true'''
      parameters:
      - name: Accept
        in: header
        schema:
          type: string
        example: application/json
      - name: broker_id
        in: query
        schema:
          type: string
        description: (Required) enter broker id for authentication
        example: '{{broker_id}}'
      - name: user
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{user}}'
      - name: token
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{token}}'
      - name: expire
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{expire}}'
      - name: search
        in: query
        schema:
          type: string
        description: search by ticker code or company name (e.g. 'TSLA' or 'Tesla')
        example: '{{search}}'
      - name: sector
        in: query
        schema:
          type: string
        description: 'filter by sector. Available values : Financial, Technology, Currencies, Industrial Goods, Healthcare,
          Consumer Goods, Services'
        example: '{{sector}}'
      - name: sentiment
        in: query
        schema:
          type: string
        description: 'filter by sentiment. Available values : positive, negative, neutral, very positive, very negative'
        example: '{{sentiment}}'
      - name: strong_sentiment
        in: query
        schema:
          type: string
        description: 'filter by strong sentiment. Available values : true, false'
        example: '{{strong_sentiment}}'
      - name: include_detail
        in: query
        schema:
          type: string
        description: include all sentiment detail
        example: '{{include_detail}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
                AAPL:
                  ticker_info:
                    name: Apple Inc.
                    sector: Consumer Goods
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '1'
                    sentiment_indicator: neutral
                    total_sources: '30'
                    total_mentions: '99'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      CNBC Television: 16
                      The Motley Fool: 10
                      InvestorPlace: 8
                      Reuters: 6
                      TechCrunch: 5
                      Zacks Investment Research: 4
                      Bloomberg Markets and Finance: 4
                      Seeking Alpha: 4
                      Market Watch: 3
                      Yahoo Finance: 3
                      TechXplore: 3
                      Schwab Network: 3
                      24/7 Wall Street: 3
                      Business Insider: 3
                      Forbes: 3
                      NYTimes: 2
                      New York Post: 2
                      Proactive Investors: 2
                      WSJ: 2
                      The Guardian: 2
                      Finbold: 2
                      Business Wire: 1
                      Bloomberg Technology: 1
                      Invezz: 1
                      FXEmpire: 1
                      Investors Business Daily: 1
                      Schaeffers Research: 1
                      Fox Business: 1
                      Barrons: 1
                      See It Market: 1
                ADM:
                  ticker_info:
                    name: Archer-Daniels-Midland Company
                    sector: Consumer Goods
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '8'
                    sentiment_indicator: neutral
                    total_sources: '5'
                    total_mentions: '36'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Accesswire: 26
                      PRNewsWire: 4
                      Seeking Alpha: 4
                      The Motley Fool: 1
                      Zacks Investment Research: 1
                AMPL:
                  ticker_info:
                    name: Amplitude, Inc.
                    sector: Technology
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '0'
                    sentiment_indicator: neutral
                    total_sources: '6'
                    total_mentions: '37'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Accesswire: 24
                      Business Wire: 6
                      PRNewsWire: 4
                      Seeking Alpha: 1
                      The Motley Fool: 1
                      Zacks Investment Research: 1
                AMZN:
                  ticker_info:
                    name: Amazon.com, Inc.
                    sector: Services
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '7'
                    sentiment_indicator: neutral
                    total_sources: '19'
                    total_mentions: '87'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      The Motley Fool: 21
                      InvestorPlace: 14
                      CNBC Television: 11
                      Seeking Alpha: 8
                      Zacks Investment Research: 7
                      Reuters: 4
                      Barrons: 3
                      Market Watch: 3
                      Investors Business Daily: 2
                      Schwab Network: 2
                      Business Insider: 2
                      Yahoo Finance: 2
                      24/7 Wall Street: 2
                      Business Wire: 1
                      Fast Company: 1
                      Finbold: 1
                      Fox Business: 1
                      Invezz: 1
                      Bloomberg Technology: 1
                AUD-USD:
                  ticker_info:
                    name: AUSTRALIAN DOLLAR / U.S. DOLLAR
                    sector: Currencies
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '15'
                    sentiment_indicator: neutral
                    total_sources: '5'
                    total_mentions: '23'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FX Street: 13
                      FXEmpire: 6
                      Forexcom: 2
                      Action Forex: 1
                      DailyFX: 1
                AVGO:
                  ticker_info:
                    name: Broadcom Inc.
                    sector: Technology
                  '2024-02-29T00:00:00Z':
                    sentiment_score: '49'
                    sentiment_indicator: positive
                    total_sources: '13'
                    total_mentions: '34'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      GlobeNewsWire: 6
                      InvestorPlace: 6
                      The Motley Fool: 5
                      Reuters: 4
                      CNBC Television: 3
                      Zacks Investment Research: 3
                      Business Wire: 1
                      Finbold: 1
                      Forbes: 1
                      Investopedia: 1
                      Investors Business Daily: 1
                      Market Watch: 1
                      TechCrunch: 1
                BA:
                  ticker_info:
                    name: The Boeing Company
                    sector: Industrial Goods
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-4'
                    sentiment_indicator: neutral
                    total_sources: '19'
                    total_mentions: '35'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Reuters: 5
                      Proactive Investors: 5
                      Forbes: 3
                      Fox Business: 3
                      Zacks Investment Research: 2
                      PRNewsWire: 2
                      InvestorPlace: 2
                      Market Watch: 2
                      Yahoo Finance: 1
                      WSJ: 1
                      The Guardian: 1
                      Barrons: 1
                      New York Post: 1
                      Bloomberg Markets and Finance: 1
                      Investopedia: 1
                      CNBC Television: 1
                      Business Wire: 1
                      Business Insider: 1
                      Investors Business Daily: 1
                BRK-A:
                  ticker_info:
                    name: Berkshire Hathaway Inc.
                    sector: Financial
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '47'
                    sentiment_indicator: positive
                    total_sources: '20'
                    total_mentions: '54'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Investors Business Daily: 5
                      CNBC Television: 5
                      InvestorPlace: 5
                      Investopedia: 4
                      Yahoo Finance: 4
                      The Motley Fool: 4
                      Reuters: 4
                      WSJ: 3
                      Barrons: 3
                      Forbes: 2
                      Schwab Network: 2
                      Seeking Alpha: 2
                      Business Wire: 2
                      Business Insider: 2
                      Bloomberg Markets and Finance: 2
                      Benzinga: 1
                      Invezz: 1
                      Market Watch: 1
                      Finbold: 1
                      Zacks Investment Research: 1
                BTI:
                  ticker_info:
                    name: British American Tobacco p.l.c.
                    sector: Consumer Goods
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '18'
                    sentiment_indicator: neutral
                    total_sources: '6'
                    total_mentions: '35'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Accesswire: 17
                      PRNewsWire: 8
                      Seeking Alpha: 4
                      The Motley Fool: 4
                      InvestorPlace: 1
                      Proactive Investors: 1
                CRM:
                  ticker_info:
                    name: Salesforce.com, inc.
                    sector: Technology
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '32'
                    sentiment_indicator: positive
                    total_sources: '18'
                    total_mentions: '49'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Zacks Investment Research: 10
                      CNBC Television: 7
                      InvestorPlace: 7
                      Investopedia: 3
                      Investors Business Daily: 3
                      The Motley Fool: 3
                      Business Wire: 3
                      Seeking Alpha: 2
                      Proactive Investors: 2
                      Reuters: 1
                      Yahoo Finance: 1
                      Stockmarketcom: 1
                      Barrons: 1
                      PRNewsWire: 1
                      MarketBeat: 1
                      Market Watch: 1
                      Invezz: 1
                      New York Post: 1
                DIS:
                  ticker_info:
                    name: The Walt Disney Company
                    sector: Services
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '2'
                    sentiment_indicator: neutral
                    total_sources: '19'
                    total_mentions: '41'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Reuters: 8
                      CNBC Television: 6
                      The Motley Fool: 4
                      Zacks Investment Research: 2
                      Business Wire: 2
                      Yahoo Finance: 2
                      WSJ: 2
                      InvestorPlace: 2
                      Seeking Alpha: 2
                      Market Watch: 2
                      Schwab Network: 1
                      24/7 Wall Street: 1
                      Proactive Investors: 1
                      Bloomberg Markets and Finance: 1
                      Investors Business Daily: 1
                      Forbes: 1
                      Fast Company: 1
                      Deadline: 1
                      Invezz: 1
                DKS:
                  ticker_info:
                    name: Dick's Sporting Goods, Inc.
                    sector: Services
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '0'
                    sentiment_indicator: neutral
                    total_sources: '5'
                    total_mentions: '33'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Accesswire: 18
                      Business Wire: 8
                      PRNewsWire: 5
                      24/7 Wall Street: 1
                      Seeking Alpha: 1
                EUR-GBP:
                  ticker_info:
                    name: EURO / BRITISH POUND
                    sector: Currencies
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '0'
                    sentiment_indicator: neutral
                    total_sources: '4'
                    total_mentions: '9'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FX Street: 5
                      DailyFX: 2
                      FXEmpire: 1
                      XM: 1
                EUR-USD:
                  ticker_info:
                    name: EURO / U.S. DOLLAR
                    sector: Currencies
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '39'
                    sentiment_indicator: positive
                    total_sources: '6'
                    total_mentions: '73'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FX Street: 40
                      FXEmpire: 14
                      Action Forex: 9
                      DailyFX: 7
                      XM: 2
                      Forexcom: 1
                GBP-JPY:
                  ticker_info:
                    name: BRITISH POUND / JAPANESE YEN
                    sector: Currencies
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '44'
                    sentiment_indicator: positive
                    total_sources: '3'
                    total_mentions: '10'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FX Street: 7
                      Action Forex: 2
                      DailyFX: 1
                GBP-USD:
                  ticker_info:
                    name: BRITISH POUND / U.S. DOLLAR
                    sector: Currencies
                  '2024-02-29T00:00:00Z':
                    sentiment_score: '15'
                    sentiment_indicator: neutral
                    total_sources: '5'
                    total_mentions: '34'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FX Street: 21
                      FXEmpire: 6
                      DailyFX: 3
                      Action Forex: 2
                      XM: 2
                GOOGL:
                  ticker_info:
                    name: Alphabet Inc.
                    sector: Technology
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '6'
                    sentiment_indicator: neutral
                    total_sources: '22'
                    total_mentions: '105'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      CNBC Television: 27
                      The Motley Fool: 13
                      InvestorPlace: 12
                      New York Post: 9
                      Forbes: 7
                      Reuters: 7
                      Business Insider: 5
                      Seeking Alpha: 4
                      TechCrunch: 2
                      Bloomberg Technology: 2
                      Zacks Investment Research: 2
                      Yahoo Finance: 2
                      Investors Business Daily: 2
                      Fox Business: 2
                      Market Watch: 2
                      The Guardian: 1
                      WSJ: 1
                      24/7 Wall Street: 1
                      TechXplore: 1
                      Schwab Network: 1
                      MarketBeat: 1
                      Proactive Investors: 1
                HUT:
                  ticker_info:
                    name: Hut 8 Mining Corp.
                    sector: Financial
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '3'
                    sentiment_indicator: neutral
                    total_sources: '5'
                    total_mentions: '33'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Accesswire: 23
                      PRNewsWire: 7
                      Business Wire: 1
                      GlobeNewsWire: 1
                      Zacks Investment Research: 1
                INOD:
                  ticker_info:
                    name: Innodata Inc.
                    sector: Technology
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '3'
                    sentiment_indicator: neutral
                    total_sources: '4'
                    total_mentions: '37'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Accesswire: 26
                      Business Wire: 6
                      PRNewsWire: 4
                      Seeking Alpha: 1
                IRTC:
                  ticker_info:
                    name: iRhythm Technologies, Inc.
                    sector: Healthcare
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-2'
                    sentiment_indicator: neutral
                    total_sources: '5'
                    total_mentions: '36'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Accesswire: 27
                      PRNewsWire: 6
                      GlobeNewsWire: 1
                      Seeking Alpha: 1
                      Zacks Investment Research: 1
                JPM:
                  ticker_info:
                    name: JPMorgan Chase & Co.
                    sector: Financial
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-5'
                    sentiment_indicator: neutral
                    total_sources: '13'
                    total_mentions: '33'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Seeking Alpha: 6
                      CNBC Television: 4
                      InvestorPlace: 4
                      Market Watch: 4
                      Reuters: 3
                      Zacks Investment Research: 3
                      Business Insider: 2
                      Finbold: 2
                      Barrons: 1
                      MarketBeat: 1
                      New York Post: 1
                      PRNewsWire: 1
                      The Motley Fool: 1
                KR:
                  ticker_info:
                    name: The Kroger Co.
                    sector: Services
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-38'
                    sentiment_indicator: negative
                    total_sources: '17'
                    total_mentions: '39'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Forbes: 6
                      Reuters: 5
                      CNBC Television: 4
                      InvestorPlace: 3
                      Bloomberg Markets and Finance: 3
                      PRNewsWire: 2
                      Yahoo Finance: 2
                      Seeking Alpha: 2
                      Schwab Network: 2
                      Zacks Investment Research: 2
                      Fox Business: 2
                      Proactive Investors: 1
                      Schaeffers Research: 1
                      Fast Company: 1
                      WSJ: 1
                      Business Wire: 1
                      Barrons: 1
                M:
                  ticker_info:
                    name: Macy's, Inc.
                    sector: Services
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-17'
                    sentiment_indicator: neutral
                    total_sources: '17'
                    total_mentions: '31'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Zacks Investment Research: 5
                      CNBC Television: 5
                      Business Wire: 3
                      Forbes: 3
                      Yahoo Finance: 2
                      Reuters: 2
                      Invezz: 1
                      The Guardian: 1
                      Seeking Alpha: 1
                      New York Post: 1
                      Barrons: 1
                      InvestorPlace: 1
                      Bloomberg Markets and Finance: 1
                      Fox Business: 1
                      Fast Company: 1
                      Business Insider: 1
                      Investopedia: 1
                META:
                  ticker_info:
                    name: Meta Platforms, Inc.
                    sector: Technology
                  '2024-02-29T00:00:00Z':
                    sentiment_score: '3'
                    sentiment_indicator: neutral
                    total_sources: '16'
                    total_mentions: '45'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      InvestorPlace: 7
                      Zacks Investment Research: 7
                      The Motley Fool: 6
                      Reuters: 5
                      CNBC Television: 4
                      Seeking Alpha: 3
                      Business Insider: 2
                      Investors Business Daily: 2
                      Schwab Network: 2
                      Barrons: 1
                      Forbes: 1
                      NYTimes: 1
                      Schaeffers Research: 1
                      TechCrunch: 1
                      TechXplore: 1
                      Yahoo Finance: 1
                MSFT:
                  ticker_info:
                    name: Microsoft Corporation
                    sector: Technology
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '7'
                    sentiment_indicator: neutral
                    total_sources: '17'
                    total_mentions: '75'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      InvestorPlace: 20
                      The Motley Fool: 12
                      Seeking Alpha: 7
                      Reuters: 6
                      Zacks Investment Research: 5
                      Business Wire: 5
                      CNBC Television: 5
                      TechCrunch: 3
                      TechXplore: 2
                      Investors Business Daily: 2
                      Finbold: 2
                      Schwab Network: 1
                      Bloomberg Technology: 1
                      Forbes: 1
                      Business Insider: 1
                      Yahoo Finance: 1
                      Barrons: 1
                NOVA:
                  ticker_info:
                    name: Sunnova Energy International
                    sector: Technology
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-7'
                    sentiment_indicator: neutral
                    total_sources: '6'
                    total_mentions: '37'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Accesswire: 21
                      Business Wire: 8
                      PRNewsWire: 4
                      The Motley Fool: 2
                      CNBC Television: 1
                      Seeking Alpha: 1
                NVDA:
                  ticker_info:
                    name: NVIDIA Corporation
                    sector: Technology
                  '2024-02-29T00:00:00Z':
                    sentiment_score: '28'
                    sentiment_indicator: positive
                    total_sources: '27'
                    total_mentions: '184'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      The Motley Fool: 37
                      InvestorPlace: 23
                      Zacks Investment Research: 18
                      CNBC Television: 14
                      Market Watch: 9
                      Barrons: 9
                      Seeking Alpha: 6
                      Reuters: 6
                      MarketBeat: 6
                      Yahoo Finance: 5
                      Bloomberg Technology: 5
                      The Guardian: 5
                      Schwab Network: 5
                      Proactive Investors: 4
                      Invezz: 4
                      Investors Business Daily: 4
                      Forbes: 4
                      Business Insider: 4
                      Investopedia: 3
                      Fox Business: 2
                      Business Wire: 2
                      Bloomberg Markets and Finance: 2
                      WSJ: 2
                      24/7 Wall Street: 2
                      Kiplinger: 1
                      TechXplore: 1
                      Benzinga: 1
                NZD-USD:
                  ticker_info:
                    name: NEW ZEALAND DOLLAR / U.S. DOLLAR
                    sector: Currencies
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-42'
                    sentiment_indicator: negative
                    total_sources: '3'
                    total_mentions: '29'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FX Street: 22
                      Action Forex: 5
                      XM: 2
                PANW:
                  ticker_info:
                    name: Palo Alto Networks, Inc.
                    sector: Technology
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '16'
                    sentiment_indicator: neutral
                    total_sources: '11'
                    total_mentions: '39'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Business Wire: 10
                      The Motley Fool: 8
                      Accesswire: 4
                      PRNewsWire: 4
                      InvestorPlace: 3
                      Zacks Investment Research: 3
                      Barrons: 2
                      Seeking Alpha: 2
                      CNBC Television: 1
                      Finbold: 1
                      Schaeffers Research: 1
                PARA:
                  ticker_info:
                    name: Paramount Global Class B
                    sector: Services
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-14'
                    sentiment_indicator: neutral
                    total_sources: '15'
                    total_mentions: '30'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      CNBC Television: 4
                      Zacks Investment Research: 4
                      Deadline: 3
                      New York Post: 3
                      Fast Company: 2
                      Market Watch: 2
                      PRNewsWire: 2
                      Reuters: 2
                      Schwab Network: 2
                      Forbes: 1
                      InvestorPlace: 1
                      Invezz: 1
                      Proactive Investors: 1
                      Seeking Alpha: 1
                      The Motley Fool: 1
                RIVN:
                  ticker_info:
                    name: Rivian Automotive, Inc.
                    sector: Consumer Goods
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-38'
                    sentiment_indicator: negative
                    total_sources: '21'
                    total_mentions: '65'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      The Motley Fool: 18
                      InvestorPlace: 15
                      CNBC Television: 6
                      Schwab Network: 4
                      Barrons: 3
                      Investors Business Daily: 2
                      Invezz: 2
                      Business Wire: 2
                      Investopedia: 1
                      Fox Business: 1
                      Finbold: 1
                      Bloomberg Markets and Finance: 1
                      Market Watch: 1
                      MarketBeat: 1
                      Proactive Investors: 1
                      Reuters: 1
                      Schaeffers Research: 1
                      Seeking Alpha: 1
                      Business Insider: 1
                      WSJ: 1
                      Zacks Investment Research: 1
                SMCI:
                  ticker_info:
                    name: Super Micro Computer, Inc.
                    sector: Technology
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '38'
                    sentiment_indicator: positive
                    total_sources: '11'
                    total_mentions: '43'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      The Motley Fool: 18
                      InvestorPlace: 6
                      Finbold: 4
                      Zacks Investment Research: 4
                      Barrons: 2
                      Forbes: 2
                      Market Watch: 2
                      Seeking Alpha: 2
                      Business Wire: 1
                      CNBC Television: 1
                      PRNewsWire: 1
                SNOW:
                  ticker_info:
                    name: Snowflake, Inc.
                    sector: Technology
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '42'
                    sentiment_indicator: positive
                    total_sources: '18'
                    total_mentions: '35'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Zacks Investment Research: 8
                      CNBC Television: 8
                      Investors Business Daily: 3
                      The Motley Fool: 2
                      Business Wire: 1
                      Benzinga: 1
                      Finbold: 1
                      Forbes: 1
                      Investopedia: 1
                      InvestorPlace: 1
                      Barrons: 1
                      Market Watch: 1
                      MarketBeat: 1
                      Reuters: 1
                      Schaeffers Research: 1
                      Seeking Alpha: 1
                      VentureBeat: 1
                      24/7 Wall Street: 1
                TSLA:
                  ticker_info:
                    name: Tesla, Inc.
                    sector: Consumer Goods
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '1'
                    sentiment_indicator: neutral
                    total_sources: '18'
                    total_mentions: '69'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      The Motley Fool: 15
                      InvestorPlace: 12
                      CNBC Television: 7
                      Barrons: 6
                      Seeking Alpha: 4
                      Investors Business Daily: 4
                      Zacks Investment Research: 4
                      Reuters: 3
                      Market Watch: 2
                      Schwab Network: 2
                      Finbold: 2
                      Yahoo Finance: 2
                      Investopedia: 1
                      Fox Business: 1
                      Benzinga: 1
                      Business Insider: 1
                      WSJ: 1
                      Invezz: 1
                USD-CAD:
                  ticker_info:
                    name: U.S. DOLLAR / CANADIAN DOLLAR
                    sector: Currencies
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-23'
                    sentiment_indicator: negative
                    total_sources: '4'
                    total_mentions: '31'
                    mentions_volume: average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FX Street: 24
                      FXEmpire: 5
                      DailyFX: 1
                      XM: 1
                USD-CHF:
                  ticker_info:
                    name: U.S. DOLLAR / SWISS FRANC
                    sector: Currencies
                  '2024-02-29T00:00:00Z':
                    sentiment_score: '25'
                    sentiment_indicator: positive
                    total_sources: '1'
                    total_mentions: '5'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FX Street: 5
                USD-JPY:
                  ticker_info:
                    name: U.S. DOLLAR / JAPANESE YEN
                    sector: Currencies
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '45'
                    sentiment_indicator: positive
                    total_sources: '7'
                    total_mentions: '46'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FXEmpire: 17
                      FX Street: 14
                      Action Forex: 5
                      DailyFX: 5
                      XM: 3
                      Babypips: 1
                      Forexcom: 1
                WBD:
                  ticker_info:
                    name: Warner Bros. Discovery
                    sector: Services
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '-36'
                    sentiment_indicator: negative
                    total_sources: '19'
                    total_mentions: '45'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      CNBC Television: 8
                      Seeking Alpha: 5
                      Zacks Investment Research: 4
                      InvestorPlace: 3
                      Reuters: 3
                      Yahoo Finance: 2
                      Schwab Network: 2
                      PRNewsWire: 2
                      New York Post: 2
                      Market Watch: 2
                      Invezz: 2
                      Forbes: 2
                      Deadline: 2
                      MarketBeat: 1
                      Proactive Investors: 1
                      Fast Company: 1
                      The Motley Fool: 1
                      WSJ: 1
                      Barrons: 1
                WMT:
                  ticker_info:
                    name: Walmart Inc.
                    sector: Services
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '26'
                    sentiment_indicator: positive
                    total_sources: '15'
                    total_mentions: '40'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      The Motley Fool: 12
                      InvestorPlace: 6
                      Zacks Investment Research: 4
                      CNBC Television: 3
                      Forbes: 3
                      Yahoo Finance: 3
                      Business Insider: 1
                      Business Wire: 1
                      Fast Company: 1
                      Kiplinger: 1
                      Market Watch: 1
                      Schaeffers Research: 1
                      Seeking Alpha: 1
                      Stockmarketcom: 1
                      WSJ: 1
                XAG-USD:
                  ticker_info:
                    name: SILVER / U.S. DOLLAR
                    sector: Currencies
                  '2024-02-29T00:00:00Z':
                    sentiment_score: '25'
                    sentiment_indicator: positive
                    total_sources: '3'
                    total_mentions: '28'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FXEmpire: 19
                      FX Street: 8
                      Action Forex: 1
                XAU-USD:
                  ticker_info:
                    name: GOLD / U.S. DOLLAR
                    sector: Currencies
                  '2024-02-29T00:00:00Z':
                    sentiment_score: '34'
                    sentiment_indicator: positive
                    total_sources: '7'
                    total_mentions: '70'
                    mentions_volume: below average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      FX Street: 28
                      FXEmpire: 26
                      DailyFX: 6
                      Action Forex: 4
                      Benzinga: 2
                      Orbex: 2
                      XM: 2
                XPOF:
                  ticker_info:
                    name: Xponential Fitness, Inc.
                    sector: Services
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '5'
                    sentiment_indicator: neutral
                    total_sources: '4'
                    total_mentions: '43'
                    mentions_volume: above average
                    top_mentioned: true
                    current_news: true
                    source_info:
                      Accesswire: 29
                      PRNewsWire: 8
                      Business Wire: 4
                      Zacks Investment Research: 2
  /newssentiment/extreme_score_change:
    get:
      tags:
      - News Sentiment
      summary: Get Extreme Score Change
      description: 'An extreme score change is a sentiment score that changes by or by more

        than 30 points.

        For example, if yesterday''s score was 30 and it increases to 70,

        or if yesterday''s score was -10 and it decreases to -40,

        this would be considered an extreme score change.

        Retrieve extreme score changes by date_input


        Parameters:

        - `date_input` (str): YYYY-MM-DD is the required date format


        Returns:

        - `dict`:

        A dictionary containing the all the significant change values

        sorted by ticker.'
      parameters:
      - name: Accept
        in: header
        schema:
          type: string
        example: application/json
      - name: broker_id
        in: query
        schema:
          type: string
        description: (Required) enter broker id for authentication
        example: '{{broker_id}}'
      - name: user
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{user}}'
      - name: token
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{token}}'
      - name: expire
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{expire}}'
      - name: date_input
        in: query
        schema:
          type: string
        description: (Required) Retrieve by date in YYYY-MM-DD format (e.g. '2024-01-17')
        example: '{{date_input}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
                '2024-02-21T00:00:00Z':
                  HOOD:
                    name: Robinhood Markets, Inc.
                    datetime_from: '2024-02-20'
                    sentiment_change_value: '-31'
                    score_from: '39'
                    score_to: '8'
                  PANW:
                    name: Palo Alto Networks, Inc.
                    datetime_from: '2024-02-20'
                    sentiment_change_value: '-48'
                    score_from: '31'
                    score_to: '-17'
                  USD-CAD:
                    name: U.S. DOLLAR / CANADIAN DOLLAR
                    datetime_from: '2024-02-20'
                    sentiment_change_value: '40'
                    score_from: '0'
                    score_to: '40'
  /newssentiment/significant_sentiment:
    get:
      tags:
      - News Sentiment
      summary: Get Significant Sentiment
      description: 'A significant sentiment is when the overall sentiment changes

        from neutral, negative, or positive to either

        very negative or very positive, i.e. when the sentiment score

        falls below -60 or rises above 60, respectively.

        Retrieve significant sentiments by date_input


        Parameters:

        - `date_input` (str): YYYY-MM-DD is the required date format


        Returns:

        - `dict`:

        A dictionary containing the all the extreme change values

        sorted by ticker.'
      parameters:
      - name: Accept
        in: header
        schema:
          type: string
        example: application/json
      - name: broker_id
        in: query
        schema:
          type: string
        description: (Required) enter broker id for authentication
        example: '{{broker_id}}'
      - name: user
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{user}}'
      - name: token
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{token}}'
      - name: expire
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{expire}}'
      - name: date_input
        in: query
        schema:
          type: string
        description: (Required) Retrieve by date in YYYY-MM-DD format (e.g. '2024-01-17')
        example: '{{date_input}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
                '2024-02-21T00:00:00Z':
                  WMT:
                    name: Walmart Inc.
                    datetime_from: '2024-02-20'
                    score_from: '53'
                    score_to: '79'
                '2024-02-22T00:00:00Z':
                  XAU-USD:
                    name: GOLD / U.S. DOLLAR
                    datetime_from: '2024-02-21'
                    score_from: '59'
                    score_to: '67'
  /newssentiment/history:
    get:
      tags:
      - News Sentiment
      summary: Get History
      description: 'This endpoint is used to retrieve historical sentiment data for tickers

        in the database'
      parameters:
      - name: Accept
        in: header
        schema:
          type: string
        example: application/json
      - name: broker_id
        in: query
        schema:
          type: string
        description: (Required) enter broker id for authentication
        example: '{{broker_id}}'
      - name: user
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{user}}'
      - name: token
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{token}}'
      - name: expire
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{expire}}'
      - name: days_back
        in: query
        schema:
          type: string
        description: (Required) filter history by days back
        example: '{{days_back}}'
      - name: ticker
        in: query
        schema:
          type: string
        description: (Required) enter ticker code
        example: '{{ticker}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
                AAPL:
                  '2024-01-30T00:00:00Z':
                    sentiment_score: '21'
                    mentions_volume: '107'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-01-31T00:00:00Z':
                    sentiment_score: '23'
                    mentions_volume: '107'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-02-01T00:00:00Z':
                    sentiment_score: '24'
                    mentions_volume: '125'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-02-02T00:00:00Z':
                    sentiment_score: '25'
                    mentions_volume: '143'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-02-03T00:00:00Z':
                    sentiment_score: '26'
                    mentions_volume: '141'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-02-04T00:00:00Z':
                    sentiment_score: '27'
                    mentions_volume: '142'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-02-05T00:00:00Z':
                    sentiment_score: '30'
                    mentions_volume: '147'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-02-06T00:00:00Z':
                    sentiment_score: '28'
                    mentions_volume: '137'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-02-07T00:00:00Z':
                    sentiment_score: '32'
                    mentions_volume: '138'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-02-08T00:00:00Z':
                    sentiment_score: '23'
                    mentions_volume: '102'
                    sentiment_indicator: positive
                    quantity_indicator: above average
                  '2024-02-09T00:00:00Z':
                    sentiment_score: '16'
                    mentions_volume: '75'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-10T00:00:00Z':
                    sentiment_score: '15'
                    mentions_volume: '75'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-11T00:00:00Z':
                    sentiment_score: '13'
                    mentions_volume: '73'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-12T00:00:00Z':
                    sentiment_score: '10'
                    mentions_volume: '66'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-13T00:00:00Z':
                    sentiment_score: '12'
                    mentions_volume: '71'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-14T00:00:00Z':
                    sentiment_score: '9'
                    mentions_volume: '68'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-15T00:00:00Z':
                    sentiment_score: '8'
                    mentions_volume: '76'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-16T00:00:00Z':
                    sentiment_score: '7'
                    mentions_volume: '77'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-17T00:00:00Z':
                    sentiment_score: '7'
                    mentions_volume: '79'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-18T00:00:00Z':
                    sentiment_score: '7'
                    mentions_volume: '83'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-19T00:00:00Z':
                    sentiment_score: '3'
                    mentions_volume: '86'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-20T00:00:00Z':
                    sentiment_score: '1'
                    mentions_volume: '83'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-21T00:00:00Z':
                    sentiment_score: '2'
                    mentions_volume: '91'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-22T00:00:00Z':
                    sentiment_score: '2'
                    mentions_volume: '75'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-23T00:00:00Z':
                    sentiment_score: '2'
                    mentions_volume: '77'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-24T00:00:00Z':
                    sentiment_score: '1'
                    mentions_volume: '73'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-25T00:00:00Z':
                    sentiment_score: '1'
                    mentions_volume: '69'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-26T00:00:00Z':
                    sentiment_score: '1'
                    mentions_volume: '69'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-27T00:00:00Z':
                    sentiment_score: '3'
                    mentions_volume: '86'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
                  '2024-02-28T00:00:00Z':
                    sentiment_score: '1'
                    mentions_volume: '73'
                    sentiment_indicator: neutral
                    quantity_indicator: below average
  /newssentiment/sectors:
    get:
      tags:
      - News Sentiment
      summary: Get Sectors
      description: 'This endpoint is used to retrieve the distinct sectors

        from the ticker data in the database'
      parameters:
      - name: Accept
        in: header
        schema:
          type: string
        example: application/json
      - name: broker_id
        in: query
        schema:
          type: string
        description: (Required) enter broker id for authentication
        example: '{{broker_id}}'
      - name: user
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{user}}'
      - name: token
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{token}}'
      - name: expire
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{expire}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
              - CONSUMER_GOODS
              - CURRENCIES
              - FINANCIAL
              - HEALTHCARE
              - INDUSTRIAL_GOODS
              - SERVICES
              - TECHNOLOGY
  /newssentiment/sources:
    get:
      tags:
      - News Sentiment
      summary: Get Sources
      description: 'This endpoint is used to retrieve the distinct sources from

        the sentiment data in the database'
      parameters:
      - name: Accept
        in: header
        schema:
          type: string
        example: application/json
      - name: broker_id
        in: query
        schema:
          type: string
        description: (Required) enter broker id for authentication
        example: '{{broker_id}}'
      - name: user
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{user}}'
      - name: token
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{token}}'
      - name: expire
        in: query
        schema:
          type: string
        description: (Required) for authentication
        example: '{{expire}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
              - Fast Company
              - Bloomberg Technology
              - CNBC Television
              - Seeking Alpha
              - 24/7 Wall Street
              - Proactive Investors
              - New York Post
              - See It Market
              - Schwab Network
              - Business Wire
              - Market Watch
              - Business Insider
              - FXEmpire
              - Invezz
              - MarketBeat
              - Investors Business Daily
              - DailyFX
              - The Street
              - Huffington Post
              - GeekWire
              - Bloomberg Markets and Finance
              - TechXplore
              - FX Street
              - NYTimes
              - Forbes
              - The Guardian
              - Action Forex
              - MarijuanaStocks
              - Investopedia
              - GlobeNewsWire
              - Orbex
              - Schaeffers Research
              - Kiplinger
              - Benzinga
              - TechCrunch
              - WSJ
              - The Motley Fool
              - GuruFocus
              - Barrons
              - PRNewsWire
              - Babypips
              - InvestorPlace
              - XM
              - Fox Business
              - Zacks Investment Research
              - Accesswire
              - VentureBeat
              - Finbold
              - Deadline
              - Reuters
              - Yahoo Finance
              - Forexcom
              - Newsfile Corp
              - Stockmarketcom
tags:
- name: News Sentiment
